Bug 67719 - galeon searches directories unnecessarily for icons and glade file(s)
galeon searches directories unnecessarily for icons and glade file(s)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-30 20:47 EDT by Paul Iadonisi
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 02:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Iadonisi 2002-06-30 20:47:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.3 (X11; Linux i686; U;) Gecko/20020523

Description of problem:
For quite some time I've been seeing several messages in my /var/log/messages
file about the inability to automount various directories such as /home/dir.png,
/home/galeon.glade, /home/CloseTab.png, etc.  An strace shows that galeon is
searching the '..' directory which is unusual at best, problematic at worst
(large site using automounter with several galeon users could hit an nfs server
unnecessarily hard).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Type 'strace galeon 2>&1 | grep dir.png' at the command line
2. Note the unusual places the dir.png file is searched for
3.
	

Actual Results:  stat64("ISO-8859-1/dir.png", 0xbffff740) = -1 ENOENT (No such
file or directory)stat64("/home/rids/.galeon/dir.png", 0xbffff6e0) = -1 ENOENT
(No such file or directory)
stat64("dir.png", 0xbffff6e0)           = -1 ENOENT (No such file or directory)
stat64("../dir.png", 0xbffff6e0)        = -1 ENOENT (No such file or directory)
stat64("ui/dir.png", 0xbffff6e0)        = -1 ENOENT (No such file or directory)
stat64("../ui/dir.png", 0xbffff6e0)     = -1 ENOENT (No such file or directory)
stat64("/usr/share/galeon/dir.png", {st_mode=S_IFREG|0644, st_size=349, ...}) = 0
stat64("/usr/share/galeon/dir.png", {st_mode=S_IFREG|0644, st_size=349, ...}) = 0
open("/usr/share/galeon/dir.png", O_RDONLY) = 12


Expected Results:  Perhaps:
========

stat64("ISO-8859-1/dir.png", 0xbffff740) = -1 ENOENT (No such file or
directory)stat64("/home/rids/.galeon/dir.png", 0xbffff6e0) = -1 ENOENT (No such
file or directory)
stat64("/usr/share/galeon/dir.png", {st_mode=S_IFREG|0644, st_size=349, ...}) = 0
stat64("/usr/share/galeon/dir.png", {st_mode=S_IFREG|0644, st_size=349, ...}) = 0
open("/usr/share/galeon/dir.png", O_RDONLY) = 12


Additional info:

Not really sure which directories *should* be searched, but the only essential
ones I can see are $HOME/.galeon and /usr/share/galeon.  '..,' 'ui,' '../ui,'
and the current directory all seem rather odd.

This is definitely a problem which should be fixed.  At a minimum, the parent
directory should never be searched as it will almost always be /home and not
contain the relevant files, plus the fact that it causes several unnecessary
filesystem mounts when the automounter is in use.
Comment 1 Christopher Blizzard 2002-08-29 18:50:02 EDT
Is it causing problems?  If it's not, then I'm not going to worry about it.

Note You need to log in before you can comment on or make changes to this bug.